#
# spec file for package python-chardet
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-chardet
Version:        2.3.0
Release:        7.2
Summary:        Universal encoding detector
License:        LGPL-2.1+
Group:          Development/Languages/Python
Url:            https://github.com/chardet/chardet
Source0:        chardet-%{version}.tar.bz2
Source1:        python-chardet-rpmlintrc
BuildRequires:  python-devel
BuildRequires:  python-setuptools
Requires(post): update-alternatives
Requires(postun): update-alternatives
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} > 1110
BuildArch:      noarch
%endif

%description
Universal character encoding detector
-------------------------------------

Detects
 - ASCII, UTF-8, UTF-16 (2 variants), UTF-32 (4 variants)
 - Big5, GB2312, EUC-TW, HZ-GB-2312, ISO-2022-CN (Traditional and Simplified Chinese)
 - EUC-JP, SHIFT_JIS, ISO-2022-JP (Japanese)
 - EUC-KR, ISO-2022-KR (Korean)
 - KOI8-R, MacCyrillic, IBM855, IBM866, ISO-8859-5, windows-1251 (Cyrillic)
 - ISO-8859-2, windows-1250 (Hungarian)
 - ISO-8859-5, windows-1251 (Bulgarian)
 - windows-1252 (English)
 - ISO-8859-7, windows-1253 (Greek)
 - ISO-8859-8, windows-1255 (Visual and Logical Hebrew)
 - TIS-620 (Thai)

Requires Python 2.1 or later

Command-line Tool
-----------------

chardet comes with a command-line script which reports on the encodings of one
or more files::

    % chardetect.py somefile someotherfile
    somefile: windows-1252 with confidence 0.5
    someotherfile: ascii with confidence 1.0

%prep
%setup -q -n chardet-%{version}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}
# update-alternatives
mv %{buildroot}%{_bindir}/chardetect %{buildroot}%{_bindir}/chardetect-%{py_ver}
mkdir -p %{buildroot}%{_sysconfdir}/alternatives
touch %{buildroot}%{_sysconfdir}/alternatives/chardetect
ln -sf %{_sysconfdir}/alternatives/chardetect %{buildroot}%{_bindir}/chardetect

%check
python setup.py test

%post
   update-alternatives --install %{_bindir}/chardetect chardetect %{_bindir}/chardetect-%{py_ver} 30

%postun
if [ $1 -eq 0 ] ; then
    update-alternatives --remove chardetect %{_bindir}/chardetect-%{py_ver}
fi

%files
%defattr(-,root,root,-)
%{python_sitelib}/*
%{_bindir}/chardetect
%{_bindir}/chardetect-%{py_ver}
%ghost %{_sysconfdir}/alternatives/chardetect

%changelog
* Mon May 11 2015 arun@gmx.de
- specfile:
  * added update alternative to prevent conflicts with python3 version
  * add tests
* Tue Feb 10 2015 aloisio@gmx.com
- Update to version 2.3.0
  * Added support for CP932 detection (thanks to @hashy)
  * Fixed an issue where UTF-8 with a BOM would not be detected
    as UTF-8-SIG (#8)
  * Modified chardetect to use argparse for argument parsing
  * Moved docs to a gh-pages branch. You can now access them
    at http://chardet.github.io
- Changelog on https://github.com/chardet/chardet/commits/2.3.0
- Other minor changes
* Thu Oct 24 2013 speilicke@suse.com
- Require python-setuptools instead of distribute (upstreams merged)
* Tue Oct  2 2012 alexandre@exatati.com.br
- Update to 2.1.1:
  - Sorry, no changelog.
* Fri Jul 27 2012 alexandre@exatati.com.br
- Update to 1.1:
  - Sorry, no changelog.
* Wed Dec 28 2011 alexandre@exatati.com.br
- Standard in spec file;
- Remove CFLAGS and %%clean section from spec file.
* Thu Dec  8 2011 coolo@suse.com
- the license seems to be LGPL-2.1+
* Sat Mar 26 2011 alexandre@exatati.com.br
- Regenerate spec file with py2pack;
- Bzip2 source file.
* Mon Jan 25 2010 alexandre@exatati.com.br
- Initial package (2.0.1) for openSUSE.
